Summary: A dynamic loader for a.out format files.
Name: ld.so
Version: 1.9.5
Release: 13
Copyright: BSD
Group: System Environment/Base
Source: ftp://metalab.unc.edu/pub/Linux/GCC/ld.so-1.9.5.tar.gz
Patch0: ld.so-1.9.5-rpath.patch
Patch1: ld.so-1.9.5-sparc-config.patch
Patch2: ld.so-1.9.5-sparc.patch
Patch3: ld.so-1.9.5-sparc2.patch
Patch4: ld.so-1.9.5-sparc-membar.patch
Patch5: ld.so-1.9.5-sparc-fprs.patch
Patch6: ld.so-1.9.5-sparc-conf32.patch
Patch7: ld.so-1.9.5-sparc-sun4msun4u.patch
Patch8: ld.so-1.9.5-sparc-gafton.patch

Prereq: filesystem
Exclusivearch: sparc i386
Buildroot: /var/tmp/%{name}-root

%description
The ld.so package contains the shared library configuration tool,
ldconfig, which is required by many packages. It also includes the
shared library loader and dynamic loader for Linux libc 5.

%prep
%setup -q
%patch0 -p1 -b .rpath
%patch1 -p1 -b .patch1
%patch2 -p1 -b .patch2
%patch3 -p1 -b .patch3
%patch4 -p0 -b .patch4
%patch5 -p0 -b .patch5
%patch6 -p1 -b .patch6
%patch7 -p0 -b .patch7
%patch8 -p1 -b .patch8

%build
ARCH=$RPM_ARCH make -C d-link clean
ARCH=$RPM_ARCH make -C d-link
# don't need the i386 a.out loader on the sparc
%ifarch sparc
make clean -C ld-so
%endif

%install
rm -rf $RPM_BUILD_ROOT
mkdir $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/sbin
mkdir -p $RPM_BUILD_ROOT/usr/man/man3
mkdir -p $RPM_BUILD_ROOT/usr/man/man8

PREFIX=$RPM_BUILD_ROOT sh instldso.sh --force

# we get ldd from GNU libc
rm -f $RPM_BUILD_ROOT/usr/bin/ldd $RPM_BUILD_ROOT/sbin/ldconfig
rm -f $RPM_BUILD_ROOT/usr/info/ld.so.info

# ideally, these would come from GNU libc, but this is the best we can do
install -m 644 man/dlopen.3 $RPM_BUILD_ROOT/usr/man/man3
ln -sf dlopen.3.gz $RPM_BUILD_ROOT/usr/man/man3/dlsym.3.gz
ln -sf dlopen.3.gz $RPM_BUILD_ROOT/usr/man/man3/dlerror.3.gz
ln -sf dlopen.3.gz $RPM_BUILD_ROOT/usr/man/man3/dlclose.3.gz

%clean
rm -rf $RPM_BUILD_ROOT

%files
%ifarch i386
/lib/ld.so.1.9.5
/lib/ld.so
%endif
/lib/ld-linux.so.1.9.5
/lib/ld-linux.so.1
/lib/libdl.so.1.9.5
/usr/man/man1/ldd.1*
/usr/man/man3/dlopen.3*
/usr/man/man3/dlsym.3*
/usr/man/man3/dlerror.3*
/usr/man/man3/dlclose.3*
/usr/man/man8/ldconfig.8*
/usr/man/man8/ld.so.8*

%changelog
* Thu Feb  3 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- run specspo over this spec...

* Thu Feb  3 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Deal with rpm compressing man pages

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 11)

* Wed Feb 03 1999 Cristian Gafton <gafton@redhat.com>
- build for glibc 2.1 (rawhide)

* Sun Jan 10 1999 Jeff Johnson <jbj@redhat.com>
- on i386, LDSO_PRELOAD should be /etc/ld.so.preload (#738)

* Tue Aug 25 1998 Cristian Gafton <gafton@redhat.com>
- do a make clean first to avoid installing i386 binaries on the sparc
- added sparc patches from the ultralinux
- extra patch to get it to compile cleanly on sparc

* Tue Jun 16 1998 Michael Maher <mike@redhat.com>
- Added man page ld.so; fixes bug 530

* Fri May 08 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Thu Apr 30 1998 Jakub Jelinek <jj@ultra.linux.cz>
- Fix, so that it works on sun4[cdm] and sun4u at the same time

* Fri Mar 20 1998 Jakub Jelinek <jj@ultra.linux.cz>
- Support for sparc.

* Mon Nov 17 1997 Erik Troan <ewt@redhat.com>
- Rather then searching the rpath first, search it after LD_LIBRARY_PATH
  and after the cache. While this breaks the ABI <gulp> it works significantly
  better for real-world libc 5 X apps which specify /usr/X11R6/lib as their
  rpath.

* Tue Oct 21 1997 Erik Troan <ewt@redhat.com>
- removed ldconfig from archive
- don't build on alpha

* Tue Sep 09 1997 Erik Troan <ewt@redhat.com>
- build just ldconfig on alpha

* Tue Sep 09 1997 Erik Troan <ewt@redhat.com>
- updated to 1.9.5
- added /etc/ld.so to filelist

* Tue Jul 08 1997 Erik Troan <ewt@redhat.com>
- built version for coexistence w/ GNU libc
